Skip to content
Documentation
Explore guides

For administrators

Candidate skills

List, create, show, update, and delete candidate skills for a skill.

Contents

Before you start

Send Accept: application/json and Authorization: Bearer YOUR_TOKEN to https://{subdomain}.talentohq.com. See API for authentication.

Path and query identifiers are UUID strings.

Successful responses use 200. Validation failures use 422. Missing or invalid tokens, and records that cannot be found, use 401.

List all candidate skills

GET /api/v3/skills/{skill_id}/candidate_skills

Parameter Type Description
skill_id string (UUID) Skill id.

Response 200

[
  {
    "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
    "skill_id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
    "skill_name": "skill name",
    "details": "more details",
    "obtained_on": "2024-05-19"
  },
  {
    "id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
    "skill_id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
    "skill_name": "skill name",
    "details": "more details",
    "obtained_on": "2023-04-16"
  }
]

Create a candidate skill

POST /api/v3/skills/{skill_id}/candidate_skills

Request

{
  "candidate_id": "8cc23847-7742-4149-9951-cab9eb5b1571",
  "details": "new details",
  "obtained_on": "2022-01-16"
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "skill_id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
  "skill_name": "skill name",
  "details": "new details",
  "obtained_on": "2022-01-16"
}

Show a candidate skill

GET /api/v3/skills/{skill_id}/candidate_skills/{candidate_skill_id}

Parameter Type Description
skill_id string (UUID) Skill id.
candidate_skill_id string (UUID) Candidate skill id.

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "skill_id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
  "skill_name": "skill name",
  "details": "more details",
  "obtained_on": "2024-05-19"
}

Update a candidate skill

PUT /api/v3/skills/{skill_id}/candidate_skills/{candidate_skill_id}

Request

{
  "details": "updated details",
  "obtained_on": "2021-02-12"
}

Response 200

{
  "id": "1ae2fd31-da27-434e-92f2-b8f4480b57a8",
  "skill_id": "2c2d2fd9-fe83-480a-adb8-351efc6a9808",
  "skill_name": "skill name",
  "details": "updated details",
  "obtained_on": "2021-02-12"
}

Delete a candidate skill

DELETE /api/v3/skills/{skill_id}/candidate_skills/{candidate_skill_id}

Response 200

{}